import { RiwayatPresensi } from './entities/riwayat_presensi.entity';
import { InterfaceRiwayatPresensiService } from './services/interface_riwayat_presensi_service';
export declare class RiwayatPresensiResolver {
    private readonly _riwayatPresensiService;
    constructor(_riwayatPresensiService: InterfaceRiwayatPresensiService<RiwayatPresensi>);
    findAll(pegawaiId?: string): Promise<RiwayatPresensi[]>;
    attendanceHistoriesWithPagination(page: number, perPage: number, pegawaiId?: string, instansiId?: string, search?: string): Promise<{
        data: RiwayatPresensi[];
        total: number;
    }>;
    updateAttendanceHistoryStatus(riwayat_presensi_id: string): Promise<RiwayatPresensi>;
    updateAttendanceHistorySendToAttendance(riwayat_presensi_id: string): Promise<RiwayatPresensi>;
}
